# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetMultiEvidenceRequest(JDCloudRequest):
    """
    带主体标记的取证接口
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GetMultiEvidenceRequest, self).__init__(
            '/evidence:evidenceGetmulti', 'GET', header, version)
        self.parameters = parameters


class GetMultiEvidenceParameters(object):

    def __init__(self,businessId, evidenceId, applicantIdType, applicantIdNum, ):
        """
        :param businessId: 业务流水号
        :param evidenceId: 存证编号
        :param applicantIdType: 申请取证主体的ID类型
        :param applicantIdNum: 申请取证主体的ID
        """

        self.businessId = businessId
        self.evidenceId = evidenceId
        self.applicantIdType = applicantIdType
        self.applicantIdNum = applicantIdNum
        self.businessCode = None
        self.token = None
        self.messageId = None
        self.evidenceType = None
        self.messageDate = None
        self.evidenceMessageId = None

    def setBusinessCode(self, businessCode):
        """
        :param businessCode: (Optional) 证据链代码
        """
        self.businessCode = businessCode

    def setToken(self, token):
        """
        :param token: (Optional) 业务token
        """
        self.token = token

    def setMessageId(self, messageId):
        """
        :param messageId: (Optional) 请求流水号
        """
        self.messageId = messageId

    def setEvidenceType(self, evidenceType):
        """
        :param evidenceType: (Optional) 业务类型
        """
        self.evidenceType = evidenceType

    def setMessageDate(self, messageDate):
        """
        :param messageDate: (Optional) 请求时间
        """
        self.messageDate = messageDate

    def setEvidenceMessageId(self, evidenceMessageId):
        """
        :param evidenceMessageId: (Optional) 存证时的请求流水
        """
        self.evidenceMessageId = evidenceMessageId

